
nav.navbar{
    z-index: 2;
    position: relative;
}
#content {
    z-index:1;
    position: relative;
}
#content .alert {
    z-index:2;
    margin-right: 4em;
}
#map {
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
}
#footer {
    display:block;
    position: fixed;
    bottom:0;
    left:0;
    right:0;
}
.mapboxgl-ctrl-scale {
    border: 2px solid #333;
    border-top-width: 2px;
    border-top-style: solid;
    border-top-color: rgb(51, 51, 51);
    border-top: #333;
    padding: 0 5px;
    color: #333;
    box-sizing: border-box;
}

#btn-controls {
    z-index: 2;
    position: fixed;
    left: 2px;
    bottom: 2px;
    text-align: center;
    padding: 5px;
    color: #005;
    background: rgba(0,0,0,.2);
    border-radius: 0 1em 0 0;
}

#btn-controls a.btn-round {
    text-decoration: none;
    padding: .7em;
    font-weight: bold;
    border-radius: 50%;
    border: 2px solid #111;
    color: #000;
    background: rgba(255, 255, 255, .2);
    display:inline-block;
}

#btn-controls .btn-tog-vis ~ div {
    display: none;
}
#btn-controls .btn-tog-vis:checked ~ div {
    display: block;
}

#features input[type=checkbox]~div{
    font-size: 0.8em;
    display:none;
}
#features input[type=checkbox]:checked~div{
    display:block;
}
#features {
    position: absolute;
    bottom: 20px;
    right: 0;
    font-size: 0.8em;
    max-width: 40em;
    width: 50%;
    max-height: 30em;
    overflow: auto;
    background: rgba(255, 255, 255, 0.6);
}
#track input[type=checkbox]~div{
    font-size: 0.8em;
    display:none;
}
#track input[type=checkbox]:checked~div{
    display:block;
}
#track {
    position: absolute;
    top: 0;
    left: 0;
    font-size: 0.8em;
    max-width: 18em;
    width: auto;
    max-height: 30em;
    overflow: auto;
    background: rgba(255, 255, 255, 0.6);
}

#map canvas {
    cursor: crosshair;
}

.marker {
    font-size: 1em;
    background: rgba(255,255,255,.50);
    color:#555;
    border: 3px solid rgba(150,180,150,.50);
    width: auto;
    min-width:2em;
    min-height:2em;
    height: auto;
    border-radius: 1.2em 1.2em 0 1.3em;
    cursor: pointer;
    opacity: 100%;
    padding:.3em;
    box-shadow: none;
}

.marker.canal {
    background: rgba(0,65,20,.50);
    color:#FD0;
    border: 3px solid rgba(255,0,0,.7);
}

.marker.river {
    font-size: 1.12em;
    background: rgba(0,0,65,.50);
    color:#FFF;
    border: 3px solid rgba(10,10,255,.50);
}

.marker.lock {
    box-shadow: 3px 3px 0 0 #000;
}
.tracktick {
    background: #C90;
    width: 15px;
    height: 15px;
    position: relative;
    border-radius: 50%;
    border: 1px solid #FA0;
    cursor: crosshair;
    opacity: 50%;
}
#boat-control-panel {
    height:10em;
    width:10em;
    position: relative;
}
#speed,#gear
{
    position: absolute;
    height:1em;
    transform: rotateZ(-90deg);
}
#speed{
    left:4.5em;
    top:3.9em;
    width:7em;
}
#gear
{
    left:.4em;
    top:4.4em;
    width:4em;
}
#tiller{
    position: absolute;
    bottom:0;
    left:0;
    right:0;
}